[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible: maintenance: use zgrep instead of plain grep, since we are now compressing build logs
Holger Levsen
holger at moszumanska.debian.org
Fri Jul 10 11:20:11 UTC 2015
This is an automated email from the git hooks/post-receive script.
holger pushed a commit to branch master
in repository jenkins.debian.net.
commit b4164e368e976486c623b3cb2f267babe7b89202
Author: Mattia Rizzolo <mattia at mapreri.org>
Date: Fri Jul 10 11:11:56 2015 +0000
reproducible: maintenance: use zgrep instead of plain grep, since we are now compressing build logs
---
bin/reproducible_maintenance.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index 3aa82be..f36e3e1 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -69,7 +69,7 @@ fi
# only grep through the last 5h (300 minutes) of builds...
# (ignore "*None.rbuild.log" because these are build which were just started)
# this job runs every 4h
-FAILED_BUILDS=$(find $BASE/rbuild -type f ! -name "*None.rbuild.log" ! -mmin +300 -exec egrep -l -e 'E: Failed to fetch.*(Connection failed|Size mismatch|Cannot initiate the connection to|Bad Gateway)' {} \; || true)
+FAILED_BUILDS=$(find $BASE/rbuild -type f ! -name "*None.rbuild.log" ! -mmin +300 -exec zgrep -l -E 'E: Failed to fetch.*(Connection failed|Size mismatch|Cannot initiate the connection to|Bad Gateway)' {} \; || true)
if [ ! -z "$FAILED_BUILDS" ] ; then
echo
echo "The following builds have failed due to network problems and will be rescheduled now:"
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list